<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (19) on Tue Sep 26 11:53:40 CEST 2023 -->
<title>Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-09-26">
<meta name="description" content="index">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:V">V</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:A">A</h2>
<dl class="index">
<dt><a href="Stock.html#addProduct(Product)" class="member-name-link">addProduct(Product)</a> - Method in class <a href="Stock.html" title="class in Unnamed Package">Stock</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:C">C</h2>
<dl class="index">
<dt><a href="Stock.html#createProduct(java.lang.String,int)" class="member-name-link">createProduct(String, int)</a> - Method in class <a href="Stock.html" title="class in Unnamed Package">Stock</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ReturnCode.html#CRITICAL_FAILURE" class="member-name-link">CRITICAL_FAILURE</a> - Enum constant in enum class <a href="ReturnCode.html" title="enum class in Unnamed Package">ReturnCode</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:D">D</h2>
<dl class="index">
<dt><a href="Stock.html#displayProductInformation(java.lang.String)" class="member-name-link">displayProductInformation(String)</a> - Method in class <a href="Stock.html" title="class in Unnamed Package">Stock</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Stock.html#displayStockInformation()" class="member-name-link">displayStockInformation()</a> - Method in class <a href="Stock.html" title="class in Unnamed Package">Stock</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Shop.html#displayStocks()" class="member-name-link">displayStocks()</a> - Static method in class <a href="Shop.html" title="class in Unnamed Package">Shop</a></dt>
<dd>
<div class="block">Display stocks in non-indexed mode</div>
</dd>
<dt><a href="Shop.html#displayStocks(boolean)" class="member-name-link">displayStocks(boolean)</a> - Static method in class <a href="Shop.html" title="class in Unnamed Package">Shop</a></dt>
<dd>
<div class="block">Displays each stock as a table containing information about the stock, the
 stocks can be indexed to facilitate user input, in indexed mode only the
 stock name will be displayed</div>
</dd>
</dl>
<h2 class="title" id="I:E">E</h2>
<dl class="index">
<dt><a href="Log.html#error(java.lang.String)" class="member-name-link">error(String)</a> - Static method in class <a href="Log.html" title="class in Unnamed Package">Log</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Log.html#error(java.lang.String,java.lang.Throwable)" class="member-name-link">error(String, Throwable)</a> - Static method in class <a href="Log.html" title="class in Unnamed Package">Log</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:F">F</h2>
<dl class="index">
<dt><a href="ReturnCode.html#FAILURE" class="member-name-link">FAILURE</a> - Enum constant in enum class <a href="ReturnCode.html" title="enum class in Unnamed Package">ReturnCode</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:G">G</h2>
<dl class="index">
<dt><a href="Stock.html#getAddress()" class="member-name-link">getAddress()</a> - Method in class <a href="Stock.html" title="class in Unnamed Package">Stock</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ReturnCode.html#getCode()" class="member-name-link">getCode()</a> - Method in enum class <a href="ReturnCode.html" title="enum class in Unnamed Package">ReturnCode</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Product.html#getName()" class="member-name-link">getName()</a> - Method in class <a href="Product.html" title="class in Unnamed Package">Product</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Stock.html#getName()" class="member-name-link">getName()</a> - Method in class <a href="Stock.html" title="class in Unnamed Package">Stock</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Stock.html#getProduct(java.lang.String)" class="member-name-link">getProduct(String)</a> - Method in class <a href="Stock.html" title="class in Unnamed Package">Stock</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Stock.html#getProducts()" class="member-name-link">getProducts()</a> - Method in class <a href="Stock.html" title="class in Unnamed Package">Stock</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Product.html#getQuantity()" class="member-name-link">getQuantity()</a> - Method in class <a href="Product.html" title="class in Unnamed Package">Product</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Shop.html#getStock(int)" class="member-name-link">getStock(int)</a> - Static method in class <a href="Shop.html" title="class in Unnamed Package">Shop</a></dt>
<dd>
<div class="block">return the stock based on it's index in the stocks attribute</div>
</dd>
<dt><a href="Shop.html#getStock(java.lang.String)" class="member-name-link">getStock(String)</a> - Static method in class <a href="Shop.html" title="class in Unnamed Package">Shop</a></dt>
<dd>
<div class="block">return the stock based on it's name in the stocks attribute</div>
</dd>
<dt><a href="Product.html#getUuid()" class="member-name-link">getUuid()</a> - Method in class <a href="Product.html" title="class in Unnamed Package">Product</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:H">H</h2>
<dl class="index">
<dt><a href="Stock.html#hasProduct(java.lang.String)" class="member-name-link">hasProduct(String)</a> - Method in class <a href="Stock.html" title="class in Unnamed Package">Stock</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:I">I</h2>
<dl class="index">
<dt><a href="Shop.html#importStocks()" class="member-name-link">importStocks()</a> - Static method in class <a href="Shop.html" title="class in Unnamed Package">Shop</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Shop.html#importStocks(java.lang.String)" class="member-name-link">importStocks(String)</a> - Static method in class <a href="Shop.html" title="class in Unnamed Package">Shop</a></dt>
<dd>
<div class="block">Import a CSV file formatted that should be formatted like this:
 stock name,stock address,product 1 name,product 1 quantity,product 2 name
 ....</div>
</dd>
<dt><a href="Log.html#info(java.lang.String)" class="member-name-link">info(String)</a> - Static method in class <a href="Log.html" title="class in Unnamed Package">Log</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ReturnCode.html#INVALID_INPUT" class="member-name-link">INVALID_INPUT</a> - Enum constant in enum class <a href="ReturnCode.html" title="enum class in Unnamed Package">ReturnCode</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:L">L</h2>
<dl class="index">
<dt><a href="Log.html" class="type-name-link" title="class in Unnamed Package">Log</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Log.html#%3Cinit%3E()" class="member-name-link">Log()</a> - Constructor for class <a href="Log.html" title="class in Unnamed Package">Log</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:M">M</h2>
<dl class="index">
<dt><a href="Shop.html#main(java.lang.String%5B%5D)" class="member-name-link">main(String[])</a> - Static method in class <a href="Shop.html" title="class in Unnamed Package">Shop</a></dt>
<dd>
<div class="block">Import stocks from a file and runs the program, it display a menu and allow
 user to manage the shop</div>
</dd>
</dl>
<h2 class="title" id="I:P">P</h2>
<dl class="index">
<dt><a href="Product.html" class="type-name-link" title="class in Unnamed Package">Product</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Product.html#%3Cinit%3E(java.lang.String,int)" class="member-name-link">Product(String, int)</a> - Constructor for class <a href="Product.html" title="class in Unnamed Package">Product</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:R">R</h2>
<dl class="index">
<dt><a href="Stock.html#removeProduct(java.lang.String)" class="member-name-link">removeProduct(String)</a> - Method in class <a href="Stock.html" title="class in Unnamed Package">Stock</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ReturnCode.html" class="type-name-link" title="enum class in Unnamed Package">ReturnCode</a> - Enum Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><a href="Shop.html#saveStocks()" class="member-name-link">saveStocks()</a> - Static method in class <a href="Shop.html" title="class in Unnamed Package">Shop</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Shop.html#saveStocks(java.lang.String)" class="member-name-link">saveStocks(String)</a> - Static method in class <a href="Shop.html" title="class in Unnamed Package">Shop</a></dt>
<dd>
<div class="block">Create a CSV file to save the actual state of the application, the same file
 can be imported later to continue the manipulations</div>
</dd>
<dt><a href="Stock.html#setAddress(java.lang.String)" class="member-name-link">setAddress(String)</a> - Method in class <a href="Stock.html" title="class in Unnamed Package">Stock</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Product.html#setName(java.lang.String)" class="member-name-link">setName(String)</a> - Method in class <a href="Product.html" title="class in Unnamed Package">Product</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Stock.html#setName(java.lang.String)" class="member-name-link">setName(String)</a> - Method in class <a href="Stock.html" title="class in Unnamed Package">Stock</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Stock.html#setProducts(java.util.ArrayList)" class="member-name-link">setProducts(ArrayList&lt;Product&gt;)</a> - Method in class <a href="Stock.html" title="class in Unnamed Package">Stock</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Product.html#setQuantity(int)" class="member-name-link">setQuantity(int)</a> - Method in class <a href="Product.html" title="class in Unnamed Package">Product</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Shop.html" class="type-name-link" title="class in Unnamed Package">Shop</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Shop.html#%3Cinit%3E()" class="member-name-link">Shop()</a> - Constructor for class <a href="Shop.html" title="class in Unnamed Package">Shop</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Stock.html" class="type-name-link" title="class in Unnamed Package">Stock</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Stock.html#%3Cinit%3E(java.lang.String,java.lang.String)" class="member-name-link">Stock(String, String)</a> - Constructor for class <a href="Stock.html" title="class in Unnamed Package">Stock</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Stock.html#%3Cinit%3E(java.util.ArrayList,java.lang.String,java.lang.String)" class="member-name-link">Stock(ArrayList&lt;Product&gt;, String, String)</a> - Constructor for class <a href="Stock.html" title="class in Unnamed Package">Stock</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ReturnCode.html#SUCCESS" class="member-name-link">SUCCESS</a> - Enum constant in enum class <a href="ReturnCode.html" title="enum class in Unnamed Package">ReturnCode</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:T">T</h2>
<dl class="index">
<dt><a href="Product.html#toString()" class="member-name-link">toString()</a> - Method in class <a href="Product.html" title="class in Unnamed Package">Product</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:V">V</h2>
<dl class="index">
<dt><a href="ReturnCode.html#valueOf(java.lang.String)" class="member-name-link">valueOf(String)</a> - Static method in enum class <a href="ReturnCode.html" title="enum class in Unnamed Package">ReturnCode</a></dt>
<dd>
<div class="block">Returns the enum constant of this class with the specified name.</div>
</dd>
<dt><a href="ReturnCode.html#values()" class="member-name-link">values()</a> - Static method in enum class <a href="ReturnCode.html" title="enum class in Unnamed Package">ReturnCode</a></dt>
<dd>
<div class="block">Returns an array containing the constants of this enum class, in
the order they are declared.</div>
</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:V">V</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="allpackages-index.html">All&nbsp;Packages</a></main>
</div>
</div>
</body>
</html>
